Main Page Widgets Namespaces Book

# box.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk
namespace | Gtk::Box_Helpers

## Classes

class | Gtk::Box
| A base class for box containers. More...
class | Gtk::Box_Helpers::BoxList
class | Gtk::Box_Helpers::Child
class | Gtk::Box_Helpers::Element
struct | Gtk::Box_Helpers::EndElem
class | Gtk::HBox
| Horizontal Box for laying widgets in a horizontal row. More...
class | Gtk::VBox
| Vertical Box for laying widgets in a vertical row. More...

## Typedefs

typedef Element | Gtk::Box_Helpers::StartElem

## Enumerations

enum | Gtk::PackOptions { Gtk::PACK_SHRINK, Gtk::PACK_EXPAND_PADDING, Gtk::PACK_EXPAND_WIDGET }
| Packing options for adding child widgets to a Box with pack_start() and pack_end(). More...